/*
 * Copyright (c) 2022.   Written by Aravind Chowdary
 */

import 'package:flutter/material.dart';

class BasePackStateSaver extends StatefulWidget {
  const BasePackStateSaver({
    Key? key,
    required this.child,
  }) : super(key: key);

  final Widget child;

  @override
  State<BasePackStateSaver> createState() => _BasePackStateSaverState();
}

class _BasePackStateSaverState extends State<BasePackStateSaver> with AutomaticKeepAliveClientMixin {
  @override
  Widget build(BuildContext context) {
    super.build(context);
    return widget.child;
  }

  @override
  bool get wantKeepAlive => true;
}
