import 'package:chopper/chopper.dart';

part 'identity_service.chopper.dart';

// flutter pub run build_runner build --delete-conflicting-outputs
@ChopperApi(baseUrl: '/1/identity')
abstract class IdentityService extends ChopperService {
  static IdentityService create([ChopperClient? client]) => _$IdentityService(client);

  @Get(path: '/{identity}')
  Future<Response> getIdentity(@Path('identity') String identity);
}
